%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

# Conditionals to help breaking picketlink-wildfly-common <-> wildfly-undertow:8.1.0.Final dependency cycle
%if 0%{?fedora}
%bcond_with wildfly
%endif

Name:          picketlink-bindings
Version:       2.7.1
Release:       2%{?dist}
Summary:       PicketLink Container Bindings
# Not available license file: https://github.com/picketlink/picketlink-bindings/issues/132 https://issues.jboss.org/browse/PLINK-755
# LGPLv2.1: ./picketlink-wildfly-common/src/main/java/org/picketlink/identity/federation/bindings/wildfly/SAML2LoginModule.java
# ./picketlink-wildfly-common/src/main/java/org/picketlink/identity/federation/bindings/wildfly/ServiceProviderSAMLContext.java
# ./picketlink-wildfly-common/src/main/java/org/picketlink/identity/federation/bindings/wildfly/sp/SecurityActions.java
# ./picketlink-wildfly-common/src/main/java/org/picketlink/identity/federation/bindings/wildfly/sp/SPServletExtension.java
License:       ASL 2.0 and LGPLv2+
URL:           http://picketlink.org/
Source0:       https://github.com/picketlink/picketlink-bindings/archive/v%{namedversion}/%{name}-%{namedversion}.tar.gz

Patch0:        picketlink-bindings-2.7.1-remove-wildfly8-support.patch
Patch1:        picketlink-bindings-2.7.1-disable-picketlink-core-copy.patch

BuildRequires: maven-local
BuildRequires: mvn(io.undertow:undertow-core)
BuildRequires: mvn(io.undertow:undertow-servlet)
BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.codehaus.jackson:jackson-jaxrs)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.modules:jboss-modules)
BuildRequires: mvn(org.jboss.security:jbossxacml)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.ws.rs:jboss-jaxrs-api_2.0_spec)
BuildRequires: mvn(org.picketlink:picketlink-federation)
BuildRequires: mvn(org.picketlink:picketlink-parent:pom:)

# Required by picketlink-parent
BuildRequires: mvn(org.jboss.arquillian:arquillian-bom:pom:)
# Required by arquillian-bom
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-bom:pom:)
BuildRequires: mvn(org.jboss.shrinkwrap.descriptors:shrinkwrap-descriptors-bom:pom:)
BuildRequires: mvn(org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:)

%if %{with wildfly}
BuildRequires: mvn(org.wildfly:wildfly-undertow)
%endif

# test deps
BuildRequires: mvn(httpunit:httpunit)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpmime)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jaxrs)
BuildRequires: mvn(org.jboss.resteasy:resteasy-undertow)
BuildRequires: mvn(rhino:js)

BuildArch:     noarch

%description
PicketLink Federation bindings for different containers.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package -n picketlink-wildfly-common
Summary:       PicketLink Common Server Bindings for WildFly

%description -n picketlink-wildfly-common
PicketLink Common Server Bindings for WildFly.

%package -n picketlink-wildfly8
Summary:       PicketLink Distribution - WildFly8

%description -n picketlink-wildfly8
PicketLink Distribution - WildFly8.

%package parent
Summary:       PicketLink Container Bindings Parent POM

%description parent
PicketLink Container Bindings Parent POM.

%prep
%setup -q -n %{name}-%{namedversion}

%if %{without wildfly}
%patch0 -p1
%pom_remove_dep org.wildfly:wildfly-undertow picketlink-wildfly-common
%endif
%patch1 -p1

# Use org.picketlink:picketlink-build-config:2.7.1.Final
%pom_remove_plugin -r :maven-checkstyle-plugin

# Useless modules
%pom_disable_module build-tomcat5
%pom_disable_module build-tomcat7
%pom_disable_module picketlink-tomcat-common
%pom_disable_module picketlink-tomcat5
%pom_disable_module picketlink-tomcat7
%pom_disable_module build-jbas5
%pom_disable_module build-jbas7
%pom_disable_module picketlink-jbas-common
%pom_disable_module picketlink-jbas5
%pom_disable_module picketlink-jbas7
%pom_disable_module picketlink-jetty-common

%pom_xpath_inject "pom:dependencies/pom:dependency[pom:groupId = 'httpunit']" "
 <exclusions>
   <exclusion>
     <groupId>javax.servlet</groupId>
     <artifactId>servlet-api</artifactId>
   </exclusion>
   <exclusion>
     <groupId>jtidy</groupId>
     <artifactId>jtidy</artifactId>
   </exclusion>
 </exclusions>" picketlink-wildfly-common

# Use rhino == 1.6R7
find ./picketlink-wildfly-common -name "SPInitiatedPostBindingSSOWorkflowTestCase.java" -print -delete
find ./picketlink-wildfly-common -name "SPInitiatedSSOWorkflowTestCase.java" -print -delete

%build

%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files javadoc -f .mfiles-javadoc

%files -n picketlink-wildfly-common -f .mfiles-picketlink-wildfly-common
%doc README.md

%files -n picketlink-wildfly8 -f .mfiles-picketlink-wildfly8
%files parent -f .mfiles-picketlink-bindings-parent

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Aug 03 2016 gil cattaneo <puntogil@libero.it> 2.7.1-1
- initial rpm

